> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# MSI Get Base Materials

Base materials in the MSI are also known as example materials. These example materials use defaults for all processes and stages. Use this endpoint to get a list of all the base materials and their corresponding IDs.


## OpenAPI

````yaml api-reference/openapi/msi-api.json GET /base-materials
openapi: 3.0.0
info:
  title: msi-api
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/msi-api/v1
    description: Production
  - url: https://api-v2.demo.higg.org/msi-api/v1
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /base-materials:
    get:
      operationId: GetBaseMaterial
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BaseMaterialCategory'
                type: array
components:
  schemas:
    BaseMaterialCategory:
      properties:
        baseMaterialName:
          type: string
        category:
          type: string
        _id:
          type: string
      required:
        - _id
        - baseMaterialName
        - category
      type: object
      additionalProperties: false
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````